Commit ceacdf32 authored by Mathijs den Burger's avatar Mathijs den Burger

ESSENTIALS-1171 Use hippo-theme 3.2.2 on NPM

Prevents an ever-changing hash in package-lock.json for a SNAPSHOT
dependency.
parent 8fb385c3
engine-strict=true
registry=https://maven.onehippo.com/npm-all/
registry=https://registry.npmjs.org
/*
* Copyright 2015-2016 Hippo B.V. (http://www.onehippo.com)
* Copyright 2015-2018 Hippo B.V. (http://www.onehippo.com)
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
......@@ -38,7 +38,7 @@ module.exports = function gruntFunctions(grunt) {
files: 'src/main/webapp/js/*.js',
},
// copy files to target folder
// copy files to target folder
copy: {
components: {
files: [
......@@ -58,9 +58,16 @@ module.exports = function gruntFunctions(grunt) {
'angular-aria/angular-aria.js',
'angular-animate/angular-animate.js',
'google-code-prettify/src/prettify.js',
'hippo-theme/dist/**',
],
},
{
expand: true,
cwd: '<%= build.npmDir %>/@bloomreach',
dest: '<%= build.dashboardtarget %>',
src: [
'hippo-theme/dist/**',
],
}
],
},
},
......
......@@ -3,6 +3,11 @@
"requires": true,
"lockfileVersion": 1,
"dependencies": {
"@bloomreach/hippo-theme": {
"version": "3.2.2",
"resolved": "https://registry.npmjs.org/@bloomreach/hippo-theme/-/hippo-theme-3.2.2.tgz",
"integrity": "sha512-fhnYpIVZZo4nVv+5uLCuKzzdWXVHCIqKZpU1DOTRerZjH5qYHvStCXl+9NtThLN3+X53tRT/9e00repv2VvMDA=="
},
"abbrev": {
"version": "1.0.9",
"resolved": "https://registry.npmjs.org/abbrev/-/abbrev-1.0.9.tgz",
......@@ -636,10 +641,6 @@
"ansi-regex": "2.1.1"
}
},
"hippo-theme": {
"version": "file:target/dependency/hippo-theme.tar.gz",
"integrity": "sha512-RseWYyJFXjunA+Op0Bb2EXRtBGAtZpHqczbeGyK25zYOsV5eMoHMBQE8OfDI+wHdD5UfV1JlaVKmiGLN+1/0lA=="
},
"hooker": {
"version": "0.2.3",
"resolved": "https://registry.npmjs.org/hooker/-/hooker-0.2.3.tgz",
......
......@@ -21,7 +21,7 @@
"angular-ui-router": "0.2.15",
"angular-ui-tree": "2.11.0",
"google-code-prettify": "1.0.1",
"hippo-theme": "./target/dependency/hippo-theme.tar.gz",
"@bloomreach/hippo-theme": "3.2.2",
"jquery": "2.1.4"
},
"devDependencies": {
......
<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright 2014-2016 Hippo B.V. (http://www.onehippo.com)
Copyright 2014-2018 Hippo B.V. (http://www.onehippo.com)
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
......@@ -40,15 +40,6 @@
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.onehippo.cms7.frontend</groupId>
<artifactId>hippo-theme</artifactId>
<version>${hippo.frontend.theme.version}</version>
<classifier>distribution</classifier>
<type>tar.gz</type>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
......@@ -58,24 +49,6 @@
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-dependency-plugin</artifactId>
<executions>
<execution>
<id>copy-hippo-theme-dependencies</id>
<phase>initialize</phase>
<goals><goal>copy-dependencies</goal></goals>
<configuration>
<includeGroupIds>org.onehippo.cms7</includeGroupIds>
<includeArtifactIds>hippo-theme</includeArtifactIds>
<stripClassifier>true</stripClassifier>
<stripVersion>true</stripVersion>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>exec-maven-plugin</artifactId>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment